import { PluginObj } from "@babel/core";
import { TemplateBuilder } from "@babel/template";
import { Statement } from "@babel/types";
interface Babel {
    template: TemplateBuilder<Statement>;
}
interface State {
    filename: string;
}
/**
 * Adds stub `export { }` when module does not have any actual exports.
 */
export declare function InjectEmptyExports(babel: Babel): PluginObj<State>;
export {};
//# sourceMappingURL=inject-empty-exports.d.ts.map